<?php

/******************************** copyright ************************************
/*
/*	All upphovsrtt tillfaller adversus art, web & media samt 
/*	Victor Spng Arthursson.
/*
/*	Ingen kod fr anvndas i annat sammanhang n vad som skriftligen verrens-
/*	kommet med ovan nmnda, och inte heller modifieras p ngot stt. I vrigt
/*	gller svensk upphovsrttslagstiftning.
/*
/*	Fr ytterligare information och kontakt:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/*
/*						*** copyright - english version ***
/*
/*	All copyright belongs to adversus art, web & media and
/*	Victor Spng Arthursson.
/*
/*	No code may be used in other circumstances than what has been writtenly agreed
/*	upon with the copyright holder according to above, and it may not be modified
/*	in any what so ever way. For other issues, the swedish copyright laws applies.
/*
/*	More information and contact:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/******************************************************************************/

header("Content-type: text/css");

include("../../functions/function_parse_ini_file_substitute.php");
if(!$prefs = @parse_ini_file("../../preferences/settings1.php"))
	$prefs = parse_ini_file_substitute("../../preferences/settings1.php");

// gallerispecifika instllningar
$imgborder = 1;


?>

#topbanner, #bottombanner {
	background-color: black;
	color: white;
	margin: 0;
	padding:0;
	height: 20px;
	line-height: 20px;
	width: 100%;

}
#topbanner {
	top: 0;
	position: absolute;
}

#bottombanner {
	bottom: 0;
	position: absolute;
	
}

#topbanner a, #bottombanner a {
	color: white;
	text-decoration: none;
	font-weight: normal;
}

.bannerleft {
	float: left; 
	display: block; 
	width: 60%; 
	text-align: left; 
	margin-left: 10px;
	position: relative;
}

.bannerright {
	float: right; 
	display: block; 
	width: 30%; 
	text-align: right; 
	position: relative;
	margin-right: 10px;
}

#content {
	position: absolute;
	top: 20px;
	bottom: 30px;
	overflow: auto ;
	clip: auto;
	width: 100%;
	margin: 0;
	padding: 0;
}

/*** Styles fr admininterface ***/
.admin label {
	display: block;
	float: left;
	width: 150px;
	line-height: 20px;
}
.admininput {
	width: 250px;
}

p.explanation {
	font-size: 9px;
	color: #999;
	margin-top: 2px;
}

/*** Styles fr fullsize ***/
#showimage_container {
	position: relative;
	overflow: hidden;
	width: <?php echo $prefs["big_size"]+20+(2*$imgborder);?>px;
	left: 50%;
	margin-left: -<?php echo round(($prefs["big_size"]+20+(2*$imgborder))/2,0);?>px;
	text-align: center;
}

#showimage_imagecontainer img {
	border: 1px solid black;
	margin: 0;
	padding: 10px;
}

#showimage_navigation, #showimage_info {
	display: block;
	margin: 10px 0;
	padding: 0;
}

#showimage_imagecontainer{
	display:block;
	clear: both;
}


/*** Styles fr login ***/
#loginform label {
	display: block;
	float: left;
	width: 150px;
	line-height: 20px;
}

#loginform div {
	height: 20px;
	width: 100%;
	display: block;
}

/*** Styles fr versikten ***/
img.thumb {
	border: 1px solid black;
	margin: 0 10px 10px 0;
}


/*** styles fr centrerad lite box ***/
#centerbox {
	position: absolute;
	left: 50%;
	width: 320px;
	height: 100px;
	text-align: center;
	padding: 2px;
	margin-left: -161px;
	margin-top: 30%;
	border: 1px solid #333;
}

/*** Regler fr att fixa diverse CSS-buggar hos IE ***/
<!--[if IE]>
body {
	background-color: red;
}

* html #content {
  height: expression(Math.max(0, window.document.body.offsetHeight-40));
}

* html body {
  overflow: hidden;
}

<![endif]-->
