<?php

/******************************** copyright ************************************
/*
/*	All upphovsrtt tillfaller adversus art, web & media samt 
/*	Victor Spng Arthursson.
/*
/*	Ingen kod fr anvndas i annat sammanhang n vad som skriftligen verrens-
/*	kommet med ovan nmnda, och inte heller modifieras p ngot stt. I vrigt
/*	gller svensk upphovsrttslagstiftning.
/*
/*	Fr ytterligare information och kontakt:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/*
/*						*** copyright - english version ***
/*
/*	All copyright belongs to adversus art, web & media and
/*	Victor Spng Arthursson.
/*
/*	No code may be used in other circumstances than what has been writtenly agreed
/*	upon with the copyright holder according to above, and it may not be modified
/*	in any what so ever way. For other issues, the swedish copyright laws applies.
/*
/*	More information and contact:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/******************************************************************************/

function process_image($imagepath, $size = NULL, $width = NULL, $height = NULL, $outputtype = "jpg", $quality = "low", $dest_filename = NULL) {

	if(stristr($imagepath, ".jpg")) {
	   $im = ImageCreateFromJPEG ($imagepath); /* Attempt to open */	
	}
	elseif(stristr($imagepath, ".png")) {
	   $im = @ImageCreateFromPNG ($imagepath); /* Attempt to open */	
	}
	elseif(stristr($imagepath, ".gif")) {
	   $im = @ImageCreateFromGIF ($imagepath); /* Attempt to open */	
	}
	
	//  har vi en bild s konvertera och spotta ut
	if(isset($im)) {

		// hmta dimensionerna
		list($src_width, $src_height) = getimagesize($imagepath);

		// avgr ny dimensioner
		
		// fit image
		if(!(is_null($size)||$size == 0)) {
			$ny_width = ($src_width >= $src_height?$size: round($size*$src_width/$src_height, 0));
			$ny_height = ($src_height >= $src_width?$size: round($size*$src_height/$src_width,0));
			
		}
		// dimensionera efter bredd
		elseif(!is_null($width) && (is_null($height)||$height == 0)) {
			$ny_width = $width;
			$ny_height = round($width*$src_height/$src_width, 0);
		}
		// dimensionera efter h&ouml;jd
		elseif(!is_null($height) && (is_null($width)||$width == 0)) {
			$ny_width = round($height*$src_width/$src_height, 0);
			$ny_height = $height;
		}
		// skala om den till ny storlek
		elseif(!is_null($width) &! is_null($height)) {
			$ny_width = $width;
			$ny_height = $height;
		}
		// annars orginal
		else {
			$ny_width = $src_width;
			$ny_height = $src_height;
		}
		
		# avg&ouml;r ny dimensioner

		// skapa en ny bild
		$image_p = imagecreatetruecolor($ny_width, $ny_height);

		if ($quality == "low")
			$result = imagecopyresized($image_p, $im, 0, 0, 0, 0, $ny_width, $ny_height, $src_width, $src_height);
		elseif ($quality == "high")
			$result = imagecopyresampled($image_p, $im, 0, 0, 0, 0, $ny_width, $ny_height, $src_width, $src_height);

		if($result) {
			if($outputtype == "png") {
				if(is_null($dest_filename)) {
					//header('Content-type: image/png');
					return imagepng($image_p);
				}
			}
			elseif($outputtype == "gif") {
				if(is_null($dest_filename)) {
					//header('Content-type: image/gif');
					return imagegif($image_p);
				}
			}
			else {
				if(is_null($dest_filename)) {
					//header('Content-type: image/jpeg');
					return imagejpeg($image_p, null, 80);
				}
			}
		}
		imagedestroy($image_p);
		imagedestroy($im);

	}
	else
		return false;
	
} 